Get user payment account
GET
/users/{id}/psp_account
const url = 'https://acme.mykreezalid.com/api/v1/users/1/psp_account';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://acme.mykreezalid.com/api/v1/users/1/psp_account \ --header 'Authorization: Basic <credentials>'Returns the most recent account of the user at your active payment gateway, or null when the user has none.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer
ID of your user.
Responses
Section titled “Responses”The user’s payment account
Media typeapplication/json
object
psp_account
object
psp
Name of the payment provider
string
config_ig
Identifier of the payment gateway (see Payment Gateways)
integer
account_id
Identifier of the user’s account at the payment provider
string
created
string format: date-time
Example
{ "psp_account": { "config_ig": 432349, "created": "2018-11-21T00:03:58+00:00" }}